install MPI LIbrary on Ubuntu 12.04

install MPI LIbrary on Ubuntu 12.04

I have seriouis troubles to install latest version of MPI Lib (4.1.1.036) on Ubuntu 12.04 64bit. See detailed install log in attached file, for more details.

Any help or hints?

附件尺寸
下载 mpi-lib-install.log15.11 KB
11 帖子 / 0 全新
最新文章
如需更全面地了解编译器优化,请参阅优化注意事项

Hi Michal,

What shell are you using?  Please try using bash if you aren't already.  Ubuntu's default shell does not work well with our installation scripts.

Sincerely,
James Tullos
Technical Consulting Engineer
Intel® Cluster Tools

Im pretty sure, that default Ubuntu (12.04 LTS) shell is "bash". So, there is nothing to change.

Michal

Those errors indicate that you are not using bash.  What do you get from

echo $SHELL
ls -l $SHELL
ls --l /bin/sh

James.

OK, there are my results:

$ echo $SHELL
/bin/bash
$ ls -l $SHELL
-rwxr-xr-x 1 root root 959120 Mar 28 19:02 /bin/bash
$ ls --l /bin/sh
/bin/sh

Ok, let me check with our install team, you should not be seeing these errors.

引文:

James Tullos (Intel) 写道:

Ok, let me check with our install team, you should not be seeing these errors.

After a few days still no answer???

I just asked a few colleagues to install latest MPI library on Ubuntu 12.04 (64bit) PCs. The same problem all the time!!! So there is really something wrong with the install script. Please, let me know how to install MPI Lib on Ubuntu 12.04, which is definitely supported OS.

Michal

Hi Michal,

I have not received a reply yet, I'll check again and I'm also setting up an Ubuntu 12.04 machine myself to test this.

James.

Hi Michal,

I've been able to replicate the problem here, but no solution yet.  I'm escalating this to our developers.

James.

Michal,

This should be corrected in the latest version (4.1 Update 3).  Please test and see if it is now working.

James.

发表评论

登录添加评论。还不是成员?立即加入